package com.hammurapi.reasoning.impl;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import com.hammurapi.reasoning.ReasoningException;

public class RuleExecutionException extends ReasoningException {

	private List<Exception> causes;

	public RuleExecutionException(List<Exception> causes) {
		super("There have been "+causes.size()+ " exceptions during rules execution ");
		this.causes = Collections.unmodifiableList(new ArrayList<Exception>(causes));
	}
	
	public List<Exception> getCauses() {
		return causes;
	}
}
